# $Revision: 1.70 $, $Date: 2010/08/06 07:00:31 $
#
# Conditional build:
%bcond_without	dietlibc	# don't build static dietlibc library
#
Summary:	Cryptographic library based on the code from GnuPG
Summary(es.UTF-8):	Libgcrypt es una biblioteca general de desarrole embasada em GnuPG
Summary(pl.UTF-8):	Biblioteka kryptograficzna oparta na kodzie GnuPG
Summary(pt_BR.UTF-8):	libgcrypt é uma biblioteca de criptografia de uso geral baseada no GnuPG
Name:		libgcrypt
Version:	1.4.6
Release:	1
License:	LGPL v2.1+
Group:		Libraries
# devel versions:
#Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/libgcrypt/%{name}-%{version}.tar.gz
Source0:	ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2
# Source0-md5:	dbf99425a4fe9217c84ce3a35d938634
Patch0:		%{name}-info.patch
Patch1:		%{name}-libgcrypt_config.patch
URL:		http://www.gnu.org/directory/security/libgcrypt.html
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	binutils >= 2:2.12
%{?with_dietlibc:BuildRequires:	dietlibc-static >= 2:0.31-5}
BuildRequires:	gcc >= 5:3.2
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# for some reason known only to rpm there must be "\\|" not "\|" here
%define		dietarch	%(echo %{_target_cpu} | sed -e 's/i.86\\|pentium.\\|athlon/i386/;s/amd64/x86_64/;s/armv.*/arm/')
%define		dietlibdir	%{_prefix}/lib/dietlibc/lib-%{dietarch}

%description
This is a general purpose cryptographic library based on the code from
GnuPG. It provides functions for all cryptograhic building blocks:
symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish, Arcfour), hash
algorithms (MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all
hash algorithms), public key algorithms (RSA, ElGamal, DSA), large
integer functions, random numbers and a lot of supporting functions.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę kryptograficzną ogólnego przeznaczenia,
opartą na kodzie GnuPG. Biblioteka ta dostarcza funkcje do wszystkich
podstawowych bloków kryptografii: szyfrów symetrycznych (AES, DES,
Blowfish, CAST5, Twofish, Acrfour), algorytmów mieszających (MD5,
RIPE-MD160, SHA-1, RIGER-192), MAC-ów (HMAC dla wszystkich algorytmów
mieszających), algorytmów klucza publicznego (RSA, ElGamal, DSA),
funkcji dużych liczb całkowitych, liczb losowych i wiele funkcji
pomocniczych.

%description -l pt_BR.UTF-8
Libgcrypt é uma biblioteca de criptografia de uso geral baseada no
GnuPG.

%package devel
Summary:	Header files etc to develop libgcrypt applications
Summary(es.UTF-8):	Archivos de desarrollo de libgcrypt
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do libgcrypt
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da libgcrypt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgpg-error-devel >= 1.4

%description devel
Header files etc to develop libgcrypt applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne do libgcrypt.

%description devel -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para libgcrypt.

%package static
Summary:	Static libgcrypt library
Summary(es.UTF-8):	Archivos de desarrollo de libgcrypt - estatico
Summary(pl.UTF-8):	Biblioteka statyczna libgcrypt
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da libgcrypt - biblioteca estática
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgcrypt library.

%description static -l pl.UTF-8
Biblioteka statyczna libgcrypt.

%description static -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para libgcrypt - estático.

%package dietlibc
Summary:	Static dietlibc libgcrypt library
Summary(pl.UTF-8):	Biblioteka statyczna dietlibc libgcrypt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description dietlibc
Static dietlibc libgcrypt library.

%description dietlibc -l pl.UTF-8
Biblioteka statyczna dietlibc libgcrypt.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__rm} m4/libtool.m4
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}

%if %{with dietlibc}
%configure \
	CC="diet %{__cc} %{rpmcflags} %{rpmldflags} -Os" \
	--enable-static \
	--disable-shared

# libtool sucks, build just the libs
%{__make} -C cipher
%{__make} -C mpi
%{__make} -C random
%{__make} -C src
mv src/.libs/libgcrypt.a diet-libgcrypt.a
%{__make} clean
%endif

%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{?with_dietlibc:install -d $RPM_BUILD_ROOT%{dietlibdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libgcrypt.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libgcrypt.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgcrypt.so

%{?with_dietlibc:install diet-libgcrypt.a $RPM_BUILD_ROOT%{dietlibdir}/libgcrypt.a}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/dumpsexp
%attr(755,root,root) %{_bindir}/hmac256
%attr(755,root,root) /%{_lib}/libgcrypt.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgcrypt.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libgcrypt-config
%attr(755,root,root) %{_libdir}/libgcrypt.so
%{_libdir}/libgcrypt.la
%{_infodir}/gcrypt.info*
%{_includedir}/gcrypt*.h
%{_aclocaldir}/libgcrypt.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libgcrypt.a

%if %{with dietlibc}
%files dietlibc
%defattr(644,root,root,755)
%{dietlibdir}/libgcrypt.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgcrypt.spec,v $
Revision 1.70  2010/08/06 07:00:31  qboosh
- updated to 1.4.6

Revision 1.69  2010/01/31 08:32:54  qboosh
- updated to 1.4.5
- removed obsolete sparc64 patch

Revision 1.68  2009/03/23 14:10:51  baggins
- unify dietlibc compile options and calls

Revision 1.67  2009/03/18 16:46:20  baggins
- rel 2
- removed static_libs bcond
- added dietlibc package (for initrd crypsetup)

Revision 1.66  2009/01/23 15:15:20  adamg
- updated to 1.4.4

Revision 1.65  2008/11/14 18:05:27  qboosh
- updated deps

Revision 1.64  2008/11/14 10:34:46  arekm
- up to 1.4.3

Revision 1.63  2008/09/11 05:27:14  qboosh
- updated to 1.4.2

Revision 1.62  2008/09/05 06:29:32  arekm
- release 2

Revision 1.61  2008-05-12 18:42:35  qboosh
- updated to 1.4.1

Revision 1.60  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.59  2007-12-15 14:28:14  glen
- BR ac 2.60

Revision 1.58  2007-12-14 21:21:06  qboosh
- updated to 1.4.0
- removed obsolete no_libnsl patch
- ghost soname symlink

Revision 1.57  2007-09-03 14:36:41  baggins
- rel 2

Revision 1.56  2007/02/13 12:23:26  tommat
- reverted adapterized utf description

Revision 1.55  2007/02/13 11:56:17  tommat
- added libgcrypt-config patch to get rid -L passing to linker
- adapterized

Revision 1.54  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.53  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.52  2007/02/03 13:03:58  qboosh
- updated to 1.2.4

Revision 1.51  2006/11/26 16:56:58  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.50  2006/11/24 14:00:32  qboosh
- gcc epoch

Revision 1.49  2006/08/30 09:02:26  qboosh
- updated to 1.2.3

Revision 1.48  2005/10/06 10:12:31  qboosh
- updated to 1.2.2 (bugfixes, minor API adjustments)

Revision 1.47  2005/06/16 15:35:51  witekfl
- #

Revision 1.46  2005/06/16 14:29:25  witekfl
- added bcond_without static_libs

Revision 1.45  2005/02/01 23:37:03  pawelb
- added sparc64 patch (now should builds)
- by Grzegorz Piotr Jaskiewicz

Revision 1.44  2005/01/06 21:47:37  qboosh
- updated to 1.2.1, removed obsolete am18 patch

Revision 1.43  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.42  2004/11/20 00:20:04  qboosh
- only shared lib goes to /%{_lib}, the rest remains in /usr; release 6

Revision 1.41  2004/11/16 18:28:27  havner
- rel 4

Revision 1.40  2004/11/16 15:09:38  wrobell
- fix multi arch problem

Revision 1.39  2004/11/16 12:45:15  wrobell
- move to /lib (for mount dm crypt support)
- rel. 3

Revision 1.38  2004/09/09 18:41:40  ankry
- E=2 in BR, rel. 2, STBR

Revision 1.37  2004/04/22 20:30:14  qboosh
- version 1.2.0 - going stable...

Revision 1.36  2004/03/31 21:07:59  grzegol
- updated to 1.1.94
- removed without pth bcond - compile time support for thread libraries is
  removed. Support for thread libraries can be enabled during initialization
  time.

Revision 1.35  2004/03/07 14:13:32  adamg
- updated to 1.1.93

Revision 1.34  2004/02/22 02:34:55  qboosh
- updated to 1.1.92 (SONAME changed again)

Revision 1.33  2004/02/12 20:33:14  qboosh
- dropped am 1.8 hack (1.8.1 is fixed - require it); release 2

Revision 1.32  2003/12/19 18:54:53  qboosh
- updated to 1.1.91

Revision 1.31  2003/12/18 20:45:47  qboosh
- added am18 patch (libgcrypt.m4 quotation fix)
  and ugly hack to allow build using am 1.8
- release 2

Revision 1.30  2003/12/08 12:34:24  qboosh
- deal with pth deps

Revision 1.29  2003/11/14 21:49:36  qboosh
- updated to 1.1.90

Revision 1.28  2003/10/31 18:58:42  qboosh
- updated to 1.1.44

Revision 1.27  2003/09/07 00:53:55  qboosh
- updated to 1.1.43, removed obsolete libtool patch

Revision 1.26  2003/08/11 11:06:57  qboosh
- updated URL

Revision 1.25  2003/08/03 10:22:19  qboosh
- up to 1.1.42
- updated no_libnsl patch
- BR: libgpg-error-devel

Revision 1.24  2003/05/28 12:59:28  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 05:49:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/03/14 15:35:11  qboosh
- BR: binutils 2.12,gcc 3 (anonymous symbol versions), libtool 1.4.3

Revision 1.21  2003/01/27 22:46:13  filon
- updated to 1.1.12
- added docs

Revision 1.20  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.19  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/10/09 11:43:14  wiget
- updated to 1.1.10
- added libtool patch

Revision 1.17  2002/10/07 20:07:46  wrobell
- ver. 1.1.9

Revision 1.16  2002/07/09 22:40:46  kloczek
- updated to 1.1.8 (gug fixes release),
- removed initializer_fix patch (now in dist tar ball),
- added no_libnsl paytch and full regennetate ac/am/lt suit,
- merge translations from Conectiva,
- added info patch and info pages to devel subpackage.

Revision 1.15  2002/07/09 20:09:59  kloczek
- release 5: libgcrypt-config moved to devel subpackage.

Revision 1.14  2002/07/08 19:37:46  mmazur
- fixed building on ppc

Revision 1.13  2002/03/25 21:57:34  marcus
- rel.4.

Revision 1.12  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/13 19:48:08  qboosh
- pl translation for base package, release 3

Revision 1.10  2002/02/13 14:48:24  kloczek
- release 2.

Revision 1.9  2002/02/13 10:21:37  grzegorz
- adaptarized

Revision 1.8  2002/02/09 10:26:00  kloczek
- updated to 1.1.6 (enhanced the S-expression conversion functions).

Revision 1.7  2002/02/02 20:21:38  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.6  2002/02/01 14:50:49  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.5  2002/01/18 02:13:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/06 04:34:07  kloczek
- updated to 1.1.5 (close memory leaks and few improvments).

Revision 1.3  2001/08/06 09:19:12  kloczek
- updated to 1.1.4.

Revision 1.2  2001/06/24 19:04:16  kloczek
- added full Source url,
- added static subpackage,
- some cleanups.
  NOTE: still missing prepare correctly documemtation (preferred info format).

Revision 1.1  2001/06/24 16:44:18  grzegorz
- initial SPEC
